@TOE@(1M)

NAME
toe - table of (terminfo) entries

SYNOPSIS
toe [-v[n]] [-ahuUV] file...

DESCRIPTION

With no options, toe lists all available terminal types by primary name with descriptions. File arguments specify the directories to be scanned; if no such arguments are given, your default terminfo directory is scanned. If you also specify the -h option, a directory header will be issued as each directory is entered.

There are other options intended for use by terminfo file maintainers:

-a  report on all of the terminal databases which ncurses would search, rather than only the first one that it finds.

-u file
    says to write a report to the standard output, listing dependencies in the given terminfo/termcap source file. The report condenses the `use' relation: each line consists of the primary name of a terminal that has use capabilities, followed by a colon, followed by the whitespace-separated primary names of all terminals which occur in those use capabilities, followed by a newline

-U file
    says to write a report to the standard output, listing reverse dependencies in the given terminfo/termcap source file. The report reverses the `use' relation: each line consists of the primary name of a terminal that occurs in use capabilities, followed by a colon, followed by the whitespace-separated primary names of all terminals which depend on it, followed by a newline.

-vn specifies that (verbose) output be written to standard error, showing toe's progress. The optional parameter n is a number from 1 to 10, interpreted as for @TIC@(1M).

-V  reports the version of ncurses which was used in this program, and exits.

FILES

@TERMINFO@/?/*
    Compiled terminal description database.

SEE ALSO
@TIC@(1M), @INFOCMP@(1M), @CAPTOINFO@(1M), @INFOTOCAP@(1M), curses(3X), terminfo(5).

This describes ncurses version @NCURSES_MAJOR@.@NCURSES_MINOR@ (patch @NCURSES_PATCH@).